Subject: Re: bash loop using mintty
From: Andy Koppe <[email-masked]>
To: [email-masked]
Date: Sat, 17 Apr 2010 21:15:12 +0100
List-Id: <cygwin.cygwin.com>

ERIC HO wrote:
> I reported a couple of times of the bash loop problem before. But it seems the problem could bot be duplicated
> by others.
> I use "mintty -" to start up a terminal session.
> Today, I found out the problem. The loop is caused by set -o vi in my .bashrc. After I removed that statement,
>  I can hit  shift F12 without bash looping (reported by task manager).
> If I start mintty without -, shift F12 just gives 4;2~  back.
> Once I enter set -o vi, shift F12 hang and bash starts looping
> With this information, I hope mintty users can duplicate this problem and hopefully a fix could be available.

That would be a bash/readline problem, not a mintty problem. Shift+F12
in mintty sends the same keycode that xterm sends: '\e[24;2~'. I
suspect though that it is simply a case of vi mode interpreting that
keycode in some vi-ish way. A vi expert will have to pronounce on
that.

Andy

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple